@ -----------------------------------------------------------------
@ Sample of keywords file for the keywords highlighting feature of EPM
@ -----------------------------------------------------------------
@  This file is used by EPM to figure out which keywords to highlight
@  It contains all the ANSI C keywords, plus all the #defines,
@  typedefs and function prototypes of the 2.1 toolkit.
@  Since it is huge, it may takes a long time to load
@  Update:  The size has been cut in half by converting spaces to tabs.
@           If you don't use a monospaced font, things will appear misaligned.
@           The Extended Attribute EPM.TABS was used to ensure that tab stops
@           are set at every 8 columns.
@  EPM looks for this file along the EPMPATH.
@  The loading time can be reduced by removing some keywords from the list.
@  The format to follow is described below.
@
@ ------------------------------------------------------------------
@ Format of the file
@ ------------------------------------------------------------------
@ The first character of the first line is the "special" character.
@ If it appears at the beginning of a line after, it is
@ either followed by a space and marks then a comment, or
@ by any other character and is then a topic name.
@ Currently the only topics are :
@  DELIM
@     "start string" "end string" "bg color" "fg color" "escape character" "column"
@     What's between the 'start' and 'end' delimiters is set to the 'color' color.
@     If no 'end' is specified, the whole line after any 'start' string is colored.
@     If an 'Escape' character appears just before a 'end' string, it won't be considered an end delimiter.
@     If an 'Escape' character appears just before a 'start' string, it won't be considered a start delimiter.
@     An 'Escape' character can be escaped by another 'Escape' character
@     If the column field is present, a start delimiter will be valid only if it starts on this column
@     If the end delimiter is not on the same line as the start, no color changes will be done.
@     The special character can be used as a placeholder, eg if you want a column but no escape character
@  DELIMI
@     Like DELIM, but case insensitive.
@  KEYWORDS
@     "name" "fg color" "bg color"
@     They must include only characters specified in the CHARSET section, case sensitive.
@  INSENSITIVE
@     "name" "fg color" "bg color"
@     Same as KEYWORDS except case insensitive.
@  CHARSET
@     "string including all the characters"
@     List of characters allowed in the names of the KEYWORDS and INSENSITIVE sections.
@  SPECIAL
@     "name" "fg color" "bg color"
@     Any occurrence of these strings will be changed to the specified color.
@     They can include any character.
@  SPECIALI
@     Like SPECIAL, but case insensitive.
@  BREAKCHAR
@     "character" "fg color" "bg color"
@     This character is considered as a space when keywords in @KEYWORDS
@     or @INSENSITIVE are looked for.  If colors are specified, a break
@     at the beginning of a keyword will have its own color, else it will
@     have the same color as the keyword.
@  ENDCHAR
@     "character" "fg color" "bg color"@
@     The character after this one is considered as a space when keywords
@     in @KEYWORDS or @INSENSITIVE are looked for.  If colors are
@     specified, an end char at the end of a keyword will have its own
@     color, else it will have the same color as the keyword.
@
@     An end character at the end of a keyword in @KEYWORDS or
@     @INSENSITIVE is hilited with its own color.
@
@  The background and foreground colors are values between 0 and 15
@  If a value of -1 is given then the default foreground or background
@  color is used.
@ Colors -
@   0 - Black          8 - Gray
@   1 - Blue           9 - Bright Blue
@   2 - Green         10 - Bright Green
@   3 - Cyan          11 - Bright Cyan
@   4 - Red           12 - Bright Red
@   5 - Magenta       13 - Bright Magenta
@   6 - Brown         14 - Yellow
@   7 - Dark Gray     15 - White
@
@ -----------------------------------------------------------------
@ Actual description of the keywords
@ -----------------------------------------------------------------
@
@SMARTTABS
@SMARTINDENT
@
@COLORS
FORETEXT	-1
BACKTEXT	-1
@
@
@DELIM
@
@ Start   Color Color  End     Escape
@ string  bg    fg     string  character
:	   7	 12
&	   -1    10    .
@
@SPECIAL
@
@
@CHARSET
@
@ abcdefghijklmnopqrstuvwxyz_#ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789
@
@KEYWORDS
@
@
@ End
